unit U_phYGList;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, BtnEdit;

type
  TfrmphYGList = class(TForm)
    Label1: TLabel;
    Button1: TButton;
    Button2: TButton;
    PHYG: TBtnEditA;
    procedure FormDestroy(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure PHYGBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmphYGList: TfrmphYGList;

implementation

uses U_ZDYHelp;

{$R *.dfm}

procedure TfrmphYGList.FormDestroy(Sender: TObject);
begin
  frmphYGList:=nil;
end;

procedure TfrmphYGList.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action:=cahide;
end;

procedure TfrmphYGList.Button1Click(Sender: TObject);
begin
  ModalResult:=1;
end;

procedure TfrmphYGList.Button2Click(Sender: TObject);
begin
  ModalResult:=-1;
end;

procedure TfrmphYGList.PHYGBtnClick(Sender: TObject);
begin
  try
    frmZDYHelp:=TfrmZDYHelp.Create(Application);
    with frmZDYHelp do
    begin
      flag:='PHYGFLAG';
      flagname:='Åä»õÔ±¹¤';
      if ShowModal=1 then
      begin
        PHYG.Text:=Trim(ClientDataSet1.fieldbyname('ZDYName').AsString);
      end;
    end;
  finally
    frmZDYHelp.Free;
  end;
end;

end.
